<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstLayouts extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_layouts', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // レイアウトコード(value)
            $table->text('name'); // レイアウト名(name)
        });
        DB::statement("ALTER TABLE mst_layouts COMMENT 'マスタ：レイアウト'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_layouts');
    }
}
